Package com.arms.api.report.fulldata.controller

## Class FullDataController

- java.lang.Object
- - com.arms.api.report.fulldata.controller.FullDataController

-     @RestController
      @RequestMapping("/arms/report/full-data")
      public class FullDataController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FullDataController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<작업자_정보>>>` | `getAssignees()` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<ExcelDataDTO>>>` | `getExcelData​(FullDataRequestDTO fullDataRequestDTO)` |
    `void` | `getExcelDataDown​(FullDataRequestDTO fullDataRequestDTO, java.lang.String fileName, javax.servlet.http.HttpServletResponse httpServletResponse)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FullDataController

          public FullDataController()

  - ### Method Detail

    - #### getAssignees

          @GetMapping("/assignee-list")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<작업자_정보>>> getAssignees()
                                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getExcelData

          @GetMapping("/excel-data")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<ExcelDataDTO>>> getExcelData​(FullDataRequestDTO fullDataRequestDTO)
                                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getExcelDataDown

          @GetMapping("/excel-data-down")
          public void getExcelDataDown​(FullDataRequestDTO fullDataRequestDTO,
                                       java.lang.String fileName,
                                       javax.servlet.http.HttpServletResponse httpServletResponse)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`